SystemOrganization addCategory: #'ConfigurationOfMetacelloPreview'!

ConfigurationOf subclass: #ConfigurationOfMetacelloPreview
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfMetacelloPreview'!

!ConfigurationOfMetacelloPreview methodsFor: 'symbolic versions' stamp: 'dkh 07/15/2013 08:55'!
stable: spec
  <symbolicVersion: #'stable'>
  spec for: #'common' version: '1.0.0-beta.32.8'! !

!ConfigurationOfMetacelloPreview methodsFor: 'versions' stamp: 'dkh 6/17/2012 21:10'!
version10beta3201: spec
    <version: '1.0.0-beta.32.1'>
    spec
        for: #'common'
        do: [ 
            spec blessing: #'release'.
            spec
                description:
                    'successful Pier3AddOns 3.0.2 load using scripting api!!
  https://github.com/dalehenrich/metacello-work/commit/508399fbfa70a4fe64799893aa10a66f0b302ff5'.
            spec author: 'dkh'.
            spec timestamp: '6/16/2012 11:13' ].
    spec
        for: #'squeakCommon'
        do: [ 
            spec
                baseline: 'Metacello'
                with: [ spec repository: 'github://dalehenrich/metacello-work:508399fbfa70a4fe64799893aa10a66f0b302ff5/repository' ] ]
! !

!ConfigurationOfMetacelloPreview methodsFor: 'versions' stamp: 'dkh 7/29/2012 07:34'!
version10beta3202: spec
    <version: '1.0.0-beta.32.2'>
    spec
        for: #'common'
        do: [ 
            spec blessing: #'release'.
            spec description: 'initial preview release'.
            spec author: 'dkh'.
            spec timestamp: '7/29/2012 07:34'.
            spec
                baseline: 'Metacello'
                    with: [ 
                            spec
                                loads: #('batch');
                                repository:
                                        'github://dalehenrich/metacello-work:cecd1626d27f67175f22e6075ca2d1177da1d525/repository' ];
                import: 'Metacello' ]! !

!ConfigurationOfMetacelloPreview methodsFor: 'versions' stamp: 'dkh 9/18/2012 14:36'!
version10beta3203: spec
    <version: '1.0.0-beta.32.3'>
    spec
        for: #'common'
        do: [ 
            spec blessing: #'release'.
            spec description: 'Synchronize with Metacello 1.0-beta.31.1.5'.
            spec author: 'dkh'.
            spec timestamp: '9/18/2012 14:36'.
            spec
                baseline: 'Metacello'
                    with: [ 
                            spec
                                loads: #('batch');
                                repository:
                                        'github://dalehenrich/metacello-work:bdb13998bf2399ca7f9027c566d8e5ba9e837d3f/repository' ];
                import: 'Metacello' ]! !

!ConfigurationOfMetacelloPreview methodsFor: 'versions' stamp: 'dkh 03/06/2013 14:12'!
version10beta3204: spec
    <version: '1.0.0-beta.32.4'>
    spec
        for: #'common'
        do: [ 
            spec blessing: #'release'.
            spec description: 'Synchronize with Metacello 1.0-beta.32 (dkh.752)'.
            spec author: 'dkh'.
            spec timestamp: '3/6/2013 14:12'.
            spec
                baseline: 'Metacello'
                    with: [ 
                            spec
                                loads: #('batch');
                                repository:
                                        'github://dalehenrich/metacello-work:6fb14916d605429808f10bb2bc90be8f320beb42/repository' ];
                import: 'Metacello' ]! !

!ConfigurationOfMetacelloPreview methodsFor: 'versions' stamp: 'dkh 04/03/2013 20:32'!
version10beta3205: spec
  <version: '1.0.0-beta.32.5'>
  spec
    for: #'common'
    do: [ 
      spec blessing: #'release'.
      spec
        description:
          'Checkpoint release to make bugfix for Issue #136 available (https://github.com/dalehenrich/metacello-work/issues/136)'.
      spec author: 'dkh'.
      spec timestamp: 'dkh 4/3/2013 20:31'.
      spec
        baseline: 'Metacello'
          with: [ 
              spec
                loads: #('batch');
                repository:
                    'github://dalehenrich/metacello-work:720e9f80740c23c6eaf1fb21e5eee90aaca27fb6/repository' ];
        import: 'Metacello' ]! !

!ConfigurationOfMetacelloPreview methodsFor: 'versions' stamp: 'dkh 05/12/2013 13:16'!
version10beta3206: spec
  <version: '1.0.0-beta.32.6'>
  spec
    for: #'common'
    do: [ 
      spec blessing: #'release'.
      spec
        description:
          'Checkpoint release to make bugfix for Issue #65 available (https://github.com/dalehenrich/metacello-work/issues/65) ... Port Metacello to Pharo-2.0
- workaround for SmalltalkHub Issue 21: corrupted package
  https://code.google.com/p/smalltalk-hub/issues/detail?id=21
- bootstrap from Metacello-Base needs to load Metacello-PharoCommonPlatform
- fix for Issue #156: MNU #compareEqual:
  https://github.com/dalehenrich/metacello-work/issues/156
- final checkpoint release for this phase of Issue #65...Metacello Preview bootstraps into Pharo2.0'.
      spec author: 'dkh'.
      spec timestamp: '5/12/2013 13:16'.
      spec
        baseline: 'Metacello'
          with: [ 
              spec
                loads: #('batch');
                repository:
                    'github://dalehenrich/metacello-work:5a6be485bc61a2ac154305df1bc53caeda87242c/repository' ];
        import: 'Metacello' ]! !

!ConfigurationOfMetacelloPreview methodsFor: 'versions' stamp: 'dkh 06/30/2013 12:36'!
version10beta3207: spec
  <version: '1.0.0-beta.32.7'>
  spec
    for: #'common'
    do: [ 
      spec blessing: #'release'.
      spec
        description:
          '-synchronize with current 1.0-beta.32.1
- fix Issue #172: Metacello-Base bootstrap code and configurations should reference seaside.gemtalksystems.com repos
  https://github.com/dalehenrich/metacello-work/issues/172'.
      spec author: 'dkh'.
      spec timestamp: '6/30/2013 12:31'.
      spec
        baseline: 'Metacello'
          with: [ 
              spec
                loads: #('batch');
                repository:
                    'github://dalehenrich/metacello-work:2fe0913fb619f7ab82ea8fc975d7d54a94c92622/repository' ];
        import: 'Metacello' ]! !

!ConfigurationOfMetacelloPreview methodsFor: 'versions' stamp: 'dkh 07/16/2013 22:15'!
version10beta3208: spec
  <version: '1.0.0-beta.32.8'>
  spec
    for: #'common'
    do: [ 
      spec blessing: #'release'.
      spec
        description:
          '- fix google Issue 184: github zip download failures due to filesystem issues
  https://code.google.com/p/metacello/issues/detail?id=184
- fix Issue #175: MCGitHubRepository and cache
  https://github.com/dalehenrich/metacello-work/issues/175
- fix Issue #174: `lock` should work with symbolic versions
  https://github.com/dalehenrich/metacello-work/issues/174
- fix Issue #176: attempt to modify immutable project spec
  https://github.com/dalehenrich/metacello-work/issues/176
- fix Issue #181: The case for `unconditional` baseline loading
  https://github.com/dalehenrich/metacello-work/issues/181'.
      spec author: 'dkh'.
      spec timestamp: '7/16/2013 22:15'.
      spec
        baseline: 'Metacello'
          with: [ 
              spec
                loads: #('batch');
                repository:
                    'github://dalehenrich/metacello-work:692e9c659810d40062aa63506b6875db76ec90e9/repository' ];
        import: 'Metacello' ]! !
